FROM discovery-base:latest

#===============================================================================

WORKDIR /home/peerplays/peerplays-network

RUN \
    ./peerplays key insert --base-path ./ --chain testnet --suri "main awake seek truly rebel pluck aunt receive height cook bless weasel" --key-type gran --scheme Ed25519 && \
    ./peerplays key insert --base-path ./ --chain testnet --suri "main awake seek truly rebel pluck aunt receive height cook bless weasel" --key-type babe --scheme Sr25519

CMD [ "./peerplays", \
      "--base-path", "./", \
      "--chain", "testnet", \
      "--name", "alice", \
      "--node-key", "0000000000000000000000000000000000000000000000000000000000000001", \
      "--port", "30333", \
      "--prometheus-external", \
      "--rpc-cors", "all", \
      "--rpc-external", \
      "--rpc-methods", "unsafe", \
      "--telemetry-url", "ws://10.10.10.71:8001/submit 0", \
      "--validator" ]